Bug 1127411 - WARN [Thread-6] (rhq.core.pc.plugin.PluginClassLoader)- Failed to purge embedded jars directory. Cause: java.io.IOException
Summary: WARN [Thread-6] (rhq.core.pc.plugin.PluginClassLoader)- Failed to purge embe...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Agent
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ER02
: JON 3.3.0
Assignee: Thomas Segismont
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-06 20:20 UTC by Matt Mahoney
Modified: 2014-12-11 14:02 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-11 14:02:31 UTC


Attachments (Terms of Use)
agent.log (465.70 KB, text/plain)
2014-08-06 20:20 UTC, Matt Mahoney
no flags Details

Description Matt Mahoney 2014-08-06 20:20:33 UTC
Created attachment 924591 [details]
agent.log

Description of problem:

WARN  [Thread-6] (rhq.core.pc.plugin.PluginClassLoader)- Failed to purge embedded jars directory. Cause: java.io.IOException: Failed to delete file or directory: data/tmp/rhq-ant-bundle-plugin-4.12.0.JON330DR01.jar8157721612889852259.classloader
WARN  [Thread-6] (rhq.core.pc.plugin.PluginClassLoader)- Failed to purge embedded jars directory. Cause: java.io.IOException: Failed to delete file or directory: data/tmp/rhq-jboss-as-7-plugin-4.12.0.JON330DR01.jar5212713143008050940.classloader
WARN  [Thread-6] (rhq.core.pc.plugin.PluginClassLoader)- Failed to purge embedded jars directory. Cause: java.io.IOException: Failed to delete file or directory: data/tmp/rhq-postgres-plugin-4.12.0.JON330DR01.jar673842495051046565.classloader
WARN  [Thread-6] (rhq.core.pc.plugin.PluginClassLoader)- Failed to purge embedded jars directory. Cause: java.io.IOException: Failed to delete file or directory: data/tmp/rhq-rhqserver-plugin-4.12.0.JON330DR01.jar6369604091632355373.classloader

Version-Release number of selected component (if applicable):
JON 3.3 DR01

How reproducible:


Steps to Reproduce:
1. Install and start JON.
2.
3.

Actual results:
Warnings in agent.log after clean install/start.

Expected results:
Should be zero silent Warnings in server.log

Additional info:

Comment 1 Thomas Segismont 2014-08-25 09:53:24 UTC
Fixed in master

commit 494e37ae3d140e250fb84ad0346c5159570eb6b0
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Aug 25 11:51:21 2014 +0200

Destroy Plugin Class Loaders only once (IOException came from the directory being already purged)

Comment 2 Michael Burman 2014-08-29 13:15:33 UTC
Cherry-picked to release/jon3.3.x:

commit a180843ed36f3b6a2db9385929cf27f51ab468e7
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Aug 25 11:51:21 2014 +0200

    Bug 1127411 - WARN [Thread-6] (rhq.core.pc.plugin.PluginClassLoader)- Failed to purge embedded jars directory. Cause: java.io.IOException
    
    Destroy Plugin Class Loaders only once (IOException came from the
    directory being already purged)
    
    (cherry picked from commit 494e37ae3d140e250fb84ad0346c5159570eb6b0)

Comment 3 Simeon Pinder 2014-09-03 20:31:35 UTC
Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com//buildinfo?buildID=381194


Note You need to log in before you can comment on or make changes to this bug.